Subject: Re: bug#44349: 28.0.50; Assertion failure on macOS when resizing frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Oct 2020 18:52:08 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 31 Oct 2020 17:43:57 +0100
> Cc: [email-masked]
> 
> Am Sa., 31. Okt. 2020 um 17:35 Uhr schrieb Eli Zaretskii <[email-masked]>:
> >
> > > From: Philipp Stephani <[email-masked]>
> > > Date: Sat, 31 Oct 2020 16:57:54 +0100
> > >
> > > > doprnt.c:493: Emacs fatal error: assertion failed: ASCII_CHAR_P (fmtchar)
> > > > Fatal error 6: Aborted
> > > > Abort trap: 6
> >
> > I cannot say I understand why that assertion is there.
> 
> Line 81 of doprnt.c states that non-ASCII characters aren't supported.

I don't see why we would want to enforce that, it sounds like a grave
limitation.  Maybe I'm missing some background here.  The version we
have on emacs-27 does support non-ASCII characters in the format.